%define rel		1

%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define date		20150803
%if %{date}
%define release		%mkrel -c git%{date} %{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		8f399e8bd4252be9952f3dfa8199924cc8487ca4
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

Name:		crossguid
Version:	0
Release:	%{release}
Summary:	Lightweight cross platform C++ GUID/UUID library
Group:		System/Libraries
License:	MIT
URL:		https://github.com/graeme-hill/crossguid/
Source0:	https://github.com/graeme-hill/%{name}/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
# Custom Makefile to properly handle build and installation
Source1:	Makefile.%{name}

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(uuid)

%description
CrossGuid is a minimal, cross platform, C++ GUID library. It uses the best
native GUID/UUID generator on the given platform and has a generic class for
parsing, stringifying, and comparing IDs.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for %{name}.

#----------------------------------------------------

%prep
%setup -q -n %{name}-%{tarballver}

cp -p %{SOURCE1} Makefile

%build
export CXXFLAGS="%{optflags}" LDFLAGS="%{optflags}"

%make

%install
%make_install LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir}

%check
export CXXFLAGS="%{optflags}" LDFLAGS="%{optflags}"

make test
./test

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Mon Mar 14 2016 daviddavid <daviddavid> 0-0.git20150803.1.mga6
+ Revision: 990533
- imported package crossguid

